Get Roles By Filter
Query Rbac authorization roles
Request
URI
POST
https://{api_host}/tca/rbac/api/v1/orgs/{orgId}/roles/query
COPY
Path Parameters
string
orgId
Required
The identifier of the tenant
Request Body
Filter object.
filter
of type(s)
application/json
Required
{
"filter": {
"id": [
"string"
],
"roleId": [
"string"
]
}
}
object
filter
Optional
filter
Responses
200
Successfully retrived requested roles.
Returns
roleList
of type(s)
application/json
{
"items": [
{
"id": "string",
"name": "string",
"creationDate": "string",
"description": "string",
"isDefault": false,
"privileges": [
"string"
]
}
]
}
400
Bad Request
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Role not found
Operation doesn't return any data structure
500
Internal Server Error
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}